cURL
curl --request POST \
--url https://aigw.portkey.ai/v1/threads/{thread_id}/runs/{run_id}/submit_tool_outputs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool_outputs": [
{
"tool_call_id": "<string>",
"output": "<string>"
}
],
"stream": true
}
'import requests
url = "https://aigw.portkey.ai/v1/threads/{thread_id}/runs/{run_id}/submit_tool_outputs"
payload = {
"tool_outputs": [
{
"tool_call_id": "<string>",
"output": "<string>"
}
],
"stream": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tool_outputs: [{tool_call_id: '<string>', output: '<string>'}], stream: true})
};
fetch('https://aigw.portkey.ai/v1/threads/{thread_id}/runs/{run_id}/submit_tool_outputs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "thread.run",
"created_at": 123,
"thread_id": "<string>",
"assistant_id": "<string>",
"status": "queued",
"required_action": {
"type": "submit_tool_outputs",
"submit_tool_outputs": {
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
]
}
},
"last_error": {
"code": "server_error",
"message": "<string>"
},
"expires_at": 123,
"started_at": 123,
"cancelled_at": 123,
"failed_at": 123,
"completed_at": 123,
"incomplete_details": {
"reason": "max_completion_tokens"
},
"model": "<string>",
"instructions": "<string>",
"tools": [],
"metadata": {},
"usage": {
"completion_tokens": 123,
"prompt_tokens": 123,
"total_tokens": 123
},
"max_prompt_tokens": 257,
"max_completion_tokens": 257,
"truncation_strategy": {
"type": "auto",
"last_messages": 2
},
"tool_choice": "none",
"parallel_tool_calls": true,
"response_format": "none",
"temperature": 123,
"top_p": 123
}Submit tool ouputs to run
POST
/
threads
/
{thread_id}
/
runs
/
{run_id}
/
submit_tool_outputs
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Available options:
thread.run Available options:
queued, in_progress, requires_action, cancelling, cancelled, failed, completed, incomplete, expired Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
tools
(Code interpreter tool · object | FileSearch tool · object | Function tool · object)[]
required
Maximum array length:
20- Code interpreter tool
- FileSearch tool
- Function tool
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
x >= 256Required range:
x >= 256Show child attributes
Show child attributes
Available options:
none, auto, required Available options:
none, auto Last modified on September 17, 2026
Was this page helpful?

